# Uses of Class
org.apache.felix.http.base.internal.runtime.FilterInfo

Packages that use FilterInfo
Package
Description
org.apache.felix.http.base.internal.handler
org.apache.felix.http.base.internal.registry
org.apache.felix.http.base.internal.runtime.dto

## Uses of FilterInfo in org.apache.felix.http.base.internal.handler

Methods in org.apache.felix.http.base.internal.handler that return FilterInfo
Modifier and Type
Method
Description
`FilterInfo`
FilterHandler.`getFilterInfo()`
Constructors in org.apache.felix.http.base.internal.handler with parameters of type FilterInfo
Modifier
Constructor
Description
``
`FilterHandler(long contextServiceId, ExtServletContext context, FilterInfo filterInfo, org.osgi.framework.BundleContext bundleContext)`

## Uses of FilterInfo in org.apache.felix.http.base.internal.registry

Methods in org.apache.felix.http.base.internal.registry with parameters of type FilterInfo
Modifier and Type
Method
Description
`void`
FilterRegistry.`removeFilter(@NotNull FilterInfo filterInfo, boolean destroy)`
Remove a filter
`void`
PerContextHandlerRegistry.`unregisterFilter(@NotNull FilterInfo info, boolean destroy)`
Remove a filter

## Uses of FilterInfo in org.apache.felix.http.base.internal.runtime.dto

Methods in org.apache.felix.http.base.internal.runtime.dto with parameters of type FilterInfo
Modifier and Type
Method
Description
`static @NotNull org.osgi.service.servlet.runtime.dto.FilterDTO`
FilterDTOBuilder.`build(@NotNull FilterInfo info, int reason)`
Build a filter DTO from a filter info